"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _matchUserPreference = _interopRequireDefault(require("@magica11y/match-user-preference"));

var _colorSchemes = _interopRequireDefault(require("./colorSchemes"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const colorSchemePreferenceValues = [_colorSchemes.default.DARK, _colorSchemes.default.LIGHT];
/**
 * Detects user’s color scheme preferences
 * using CSS3 Media Queries level 5 specification for `'prefers-color-scheme'`.
 *
 * @returns Either 'dark', 'light' or `null`
 * @see https://drafts.csswg.org/mediaqueries-5/#prefers-color-scheme
 */

const prefersColorScheme = () => {
  const preferredColorScheme = colorSchemePreferenceValues.find(colorSchemePreferenceValue => (0, _matchUserPreference.default)('prefers-color-scheme', colorSchemePreferenceValue));

  if (preferredColorScheme) {
    return preferredColorScheme;
  }

  return null;
};

var _default = prefersColorScheme;
exports.default = _default;